//baseUrl主路径是相对路径(html页面)
//paths配置主路径下的文件位置
require.config({
    baseUrl: js_path+"music",
    paths: {
        "jQuery": "jquery",
        "jqueryui": "jquery-ui.min",
        "formvalidator":"formvalidator_regex",
        "layer": "layer/layer",
        "kind_editor": "kindeditor/kindeditor",
        "birthday":"birthday",
        "distpicker_data":"distpicker.data",
        "clicaptcha":"../clicaptcha",
        "plupload":"plupload/lib/plupload.full.min",
        "HQUpload":"plupload/common",
        "jedate":"jedate/jedate.min",
        "webuploader":"webuploader/webuploader.min",
        "PICSUpload":"webuploader/upload_pictures",
        //"puPICSUpload":"webuploader/upload",
        "tmpl":"jquery-tmpl/dist/jquery.tmpl.min",
        "gallery":"jquery.ad-gallery",
        "ugcUploader":"ugcUploader",
        "vodUploader":"vodUploader",
        "nstSlider":"jquery.nstSlider.min",
        //"swiper":"swiper.min",
    },
    shim: {
        "formvalidator": ["jquery","formvalidator_core"],
        "formvalidator_core": ["jquery"],
        "ugcUploader": ["jquery"],
        "vodUploader": ["jquery","ugcUploader"],
        "layer": ["css!https://oss.guzheng.cn/statics/js/layer/skin/default/layer.css"],
        "kind_editor": ["css!https://oss.guzheng.cn/statics/js/music/kindeditor/themes/default/default.css"],
        "birthday":["jquery"],
        "distpicker":["jquery","distpicker_data"],
        "distpicker_data":["jquery"],

        "HQUpload":["css!https://oss.guzheng.cn/statics/js/plupload/plupload.css"],
        "jedate":["css!"+js_path+"music/jedate/skin/jedate.css"],
        "PICSUpload":["webuploader","css!https://oss.guzheng.cn/statics/js/webuploader/webuploader.css"],
        //"puPICSUpload":["webuploader","css!https://oss.guzheng.cn/statics/js/webuploader/webuploader.css"],
        "tmpl" : ["jquery"],
        "gallery" : ["jquery"],
        "wordLimit":["jquery"],
        "wordLimitNew":["jquery"],
        "wordLimitMusic":["jquery"],
        "clicaptcha":['jquery',"css!"+css_path+"captcha.css"],
        "nstSlider":{deps:['jquery']},
    },
    map: {
        '*': {
            'css': 'require-css/css.min'
        }
    }
});

require(["jquery", "layer"], function ($,layer) {
    var commonCollectStatus=true,commonDingStatus=true,commonLikeStatus=true,commonFollowStatus=true;
    return common = {
        check_login: function (id) {
            var login="";
            $.ajaxSetup({
                async : false
            });
            $.post("/user/login/ajax_status", function (data) {
                if (data.error == 0) {
                    layer.open({
                        type: 2,
                        title: '用户登录/注册',
                        skin: 'layui-layer-rim',
                        area: ["800px", "580px"],
                        shadeClose: true,
                        scrollbar:false,
                        content: "/index.php?m=member&c=login&a=login_pop",
                    });
                }else {
                    login = data.error;
                }
            }, "json");
            return login;
        },
        follow: function (uid,e,num) {
        	if(typeof(num)=='undefined'){
        		num = 2;
        	}
            if(this.check_login()&&commonFollowStatus){
                commonFollowStatus=false
                $.get("/api/api/ajax_follow",{id:uid,follow:num}, function (data) {
                    if (data.error == 0) {
                        $(e).html("已关注");
                        layer.msg("关注成功");
                        setTimeout(function(){
                            window.location.reload();
                        },500)
                    } else if (data.error == 2) {
                        layer.msg("不能关注自己");
                    } else if (data.error == 3) {
                        layer.msg("关注账号不存在");
                    } else {
                        $(e).html("关注");
                        layer.msg("取消关注");
                        setTimeout(function(){
                            window.location.reload();
                        },500)
                    }
                    commonFollowStatus=true
                }, 'json');
            }
        },
        collect: function(id,name,e){
            if(this.check_login()&&commonCollectStatus){
                commonCollectStatus=false
                $.get("/api/api/ajax_collect",{id:id,table_name:name},function(data){
                    if(data.error==1){
                        layer.msg("收藏成功");
                        $(e).find(".icon-23").css("color","#f2c11b");
                        $(e).find("span").text("已收藏");
                    }else{
                        layer.msg("取消收藏");
                        $(e).find(".icon-23").css("color","");
                        $(e).find("span").text("收藏");
                    }
                    commonCollectStatus=true
                },'json');
            }
        },
        dianzan: function (id,name) {
            if (this.check_login()) {
                $.get("/api/api/ajax_is_good",{table_id:id,table_name:name},function(data){
                    if(data.error==1){
                        layer.msg("点赞成功");
                        $('.dzicon'+id).css("color",'#C01820');
                        setTimeout(function(){
                            window.location.reload();
                        },500)
                    }else{
                        layer.msg("您已经点赞过了！");
                    }
                },'json');
            }
        },
        like:function(id,name,table,e){
            if(this.check_login()&&commonLikeStatus){
                commonLikeStatus=false
                $.get("/api/api/ajax_like_album",{id:id,table_name:name,table:table},function(data){
                    if(data.error==1){
                        layer.msg("喜欢");
                        $(e).find(".icon-love").css("color","red");
                        $(e).addClass("liked")
                    }else{
                        layer.msg("已喜欢");
                        $(e).removeClass("liked")
                    }
                    commonLikeStatus=true
                },'json');
            }
        },
        comment: function (id,name) {
            if (this.check_login()) {
                //检查是否填写内容
                var comment_text = $("#comment"+id+"_text").val();
                if(comment_text==""){
                    layer.msg("请填写评论");
                    return false;
                }
                //console.log(comment_text);
                $.get("/api/api/ajax_is_comment_activity",{content:comment_text,table_id:id,table_name:name},function(data){
                    //console.log(data);
                    if(data.error == 1){
                        layer.msg("评论成功");
                        setTimeout(function(){
                            window.location.reload();//刷新当前页面.
                        },1000)
                    }else{
                        layer.msg("评论失败");
                        setTimeout(function(){
                            window.location.reload();//刷新当前页面.
                        },1000)
                    }
                },'json');
            }
        },
        answer: function (id,e,lid) {
            if (this.check_login()) {
                //回复点击事件
                var $form=$(e).parent(".feedback").siblings(".answer_form");
                if($form.is(":hidden")){
                    $(".answer_form").hide();
                    $form.show();
                }else{
                    $form.hide();
                }
                $(e).css({"font-weight":"bold","color":"#333"});
                $(e).parent(".feedback").siblings(".answer_form").find(".replybtn").click(function(){
                    var answer_text = $("#answer"+id+"_text").val();
                    var name="<?php echo $table_name?>";
                    if(lid!==undefined){
                        name="dongtai";
                    }
                    if(answer_text==""){
                        layer.msg("请填写回复");
                        return false;
                    }
                    $.post("/api/api/ajax_reply",{id:lid,content:answer_text,hfid:id,tabel_name:name},function(data){
                        if(data.error==1){
                            layer.msg("回复成功");
                            setTimeout(function(){
                                window.location.reload();//刷新当前页面.
                            },500)
                        }else{
                            layer.msg("回复失败");
                        }
                    },'json');
                });
            }
        },
        doShare:function(){
            $('.share').hover(function(){
                $(this).css({width:'320px','font-size':'14px'}).children('.fenxiang').show();
            },function(){
                $(this).children('.fenxiang').hide();
                $(this).css('width','88px');
            });
        },
        dingyue:function(id,name){
            if (this.check_login()&&commonDingStatus) {
                commonDingStatus=false
                $.getJSON("/api/api/ajax_dingyue",{id:id,table_name:name},function(data){
                    if(data.error == '1'){
                        layer.msg("订阅成功");
                        $(".radio_dy").html("已订阅");
                    }else{
                        layer.msg("取消订阅");
                        $(".radio_dy").html("订阅");
                    }
                    commonDingStatus=true
                });
            }
        },
        join:function(name,id){
            if (this.check_login()) {
                layer.open({
                    type: 2,
                    title: '',
                    skin: 'layui-layer-rim',
                    area: ["800px", "543px"],
                    shadeClose: true,
                    content:["/user/login/album?type="+name+"&id="+id,"no"],
                    success:function(layero){
                        var box = $(".popup_list", layero.find("iframe")[0].contentWindow.document);
                        box.attr("id",id);
                        console.log(box)
                    }
                });
            }
        },
        doToggle:function(num){
        	if(typeof(num)=="undefined"){
        		num = 100;
        	}
            var content = $(".story-content").html();
            var re1=/<\/p>/g;
            var re2=/(<p)(.*?)(>)/g;
            var str=content.replace(re1,"</br>");
            content=str.replace(re2,"");//删除编译器自带p标签样式
            //console.log(content);
            var brief_content = $(".story-content").text().substr(0,num) + "..";
            $(".content-sq").hide();//默认收起隐藏
            if (content.length<=num) {
                $(".content-zk").hide();//如果长度不够100，隐藏展开
            } else {
                $(".content-zk").show();
                $(".story-content").text(brief_content);
            }
            $(".content-zk").on("click", function () {
                $(".story-content").html(content);
                $(".content-zk").hide();
                $(".content-sq").show();
            });
            $(".content-sq").on("click", function () {
                $(".story-content").text(brief_content);
                $(".content-sq").hide();
                $(".content-zk").show();
            })
        },
        jump:function(e){
            var url=$(e).data("id");
            if(this.check_login(url)){
                setTimeout(function(){
                    window.location.replace(url);
                },500)
            }
        },
        doRemove:function(id,table_id,cname,ename){
            layer.confirm('确定删除这条'+cname+'吗？', {
                title:"提示",
                btn: ['确定','取消'] //按钮
            }, function(){
                $.getJSON("/api/api/ajax_"+ename+"remove?"+ename+"_id="+id+"&"+ename+"_album_id="+table_id, function(data){
                    if(data.error == 1){
                        layer.msg("移除成功");
                        window.location.reload();
                        setTimeout(function(){
                            window.location.reload();
                        },500)
                    }else{
                        layer.msg("移除失败");
                    }
                });
            });
        }
    }
});
